Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000118 [libFirm] other minor have not tried 2013-09-05 17:51 2016-01-03 03:28
Reporter haass View Status public  
Assigned To
Priority normal Resolution fixed  
Status closed   Product Version development
Summary 0000118: lc_evpprintf reports wrong string length
Description Chars before first %-format are not counted towards result string length
- proposed patch also
Additional Information
Tags No tags attached.
Attached Files ? file icon patch_libcore_wrong_count.git [^] (698 bytes) 2013-09-05 17:51
? file icon 0015-Fixed-bug-in-libcore-lc_evpprintf-reports-wrong-stri.patch [^] (853 bytes) 2013-09-05 18:07

- Relationships

-  Notes
(0000173)
Matze (administrator)
2013-09-13 08:58

patch commited as libfirm 0070a44dbde8da9d6295b98cc390107f949c9fc3. Thanks

- Issue History
Date Modified Username Field Change
2013-09-05 17:51 haass New Issue
2013-09-05 17:51 haass File Added: patch_libcore_wrong_count.git
2013-09-05 17:57 haass Issue Monitored: haass
2013-09-05 18:07 haass File Added: 0015-Fixed-bug-in-libcore-lc_evpprintf-reports-wrong-stri.patch
2013-09-13 08:58 Matze Note Added: 0000173
2013-09-13 08:58 Matze Status new => resolved
2013-09-13 08:58 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker